### Method

# Gtk FileChooserget_action

deprecated: 4.10

#### Declaration [src]

    GtkFileChooserAction
    gtk_file_chooser_get_action (
      GtkFileChooser* chooser
    )

#### Description [src]

Gets the type of operation that the file chooser is performing.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

Gets property | `Gtk.FileChooser:action`

#### Return value

Type: `GtkFileChooserAction`

The action that the file selector is performing.